PHP Manual
Prev |  | Next

# http_redirect

(PECL)

http_redirect -- Issue HTTP redirect

## Description

void http_redirect ( [string url [, array params [, bool session = FALSE [, int status]]]] )

Redirect to the given url.

The supplied url will be expanded with http_build_url(), the params array will be treated with http_build_str() and the session identification will be appended if session is true.

The HTTP response code will be set according to status.

You can use one of the redirect constants for convenience.

Please see RFC 2616 for which redirect response code to use in which situation.

By default PHP will decide which response status fits best.

To be RFC compliant, "Redirecting to <a>URL</a>." will be displayed, if the client doesn't redirect immediately, and the request method was another one than HEAD.

A log entry will be written to the redirect log, if the INI setting http.log.redirect is set and the redirect attempt was successful.

## Parameters

url

  the URL to redirect to

params

  associative array of query parameters

session

  whether to append session information

status

  custom response status code

## Return Values

Returns `FALSE` on failure, or exits on success.

Prev | Home | Next
http_request_body_encode | Up | http_send_content_disposition